/* ------------------------------------------------------------ *\
	Search
\* ------------------------------------------------------------ */

.search {
	&__field {
		flex: 1;
		transition: width .4s;
		height: 32px;
		border: 0;
		border-bottom: 1px solid rgba(112, 112, 112, .37);
		color: #000000;
		font-size: 14px;
		font-weight: 400;
		letter-spacing: 0.05em;

		&::placeholder {
			color: rgba(0, 0, 0, .37);
		}
	}

	&__btn-main {
		display: block;
		position: relative;
		padding: 0 2px;

		&:after {
			content: '';
			height: 3px;
			width: 0;
			display: inline-block;
			position: absolute;
			bottom: 0;
			left: 50%;
			transform: translateX(-50%);
			transition: width .4s;
			background: #000000;
		}
	}

	&__btn {
		background: transparent;
		border: 0;
		border-radius: 0;
		appearance: none;
		outline: 0 !important;
		flex: 0 0 88px;
		max-width: 88px;
		margin-top: 4px;
		letter-spacing: 0.06em;

		&:hover {
			color: #98262A;
		}
	}

	&__inner {
		display: flex;
		align-items: center;
		justify-content: space-between;
		padding: 14px 94px 14px 109px;
		position: absolute;
		top: 100%;
		left: -15px;
		right: -15px;
		z-index: 20;
		background: #fff;
		border: 1px solid rgba(0, 0, 0, 0.18);
		border-bottom: 3px solid #000000;
		transform: translateY(10px);
		visibility: hidden;
		opacity: 0;
		transition: visibility .4s, opacity .4s, transform .4s;
	}

	@media(min-width: 1025px) {
		&:hover {
			.search__inner {
				visibility: visible;
				opacity: 1;
				transform: translateY(0);
			}
		}

		&__btn-main {
			&:hover {
				&:after {
					width: 100%;
				}
			}
		}
	}

	@media #{$mobile} {
		.search__inner {
			visibility: visible;
			opacity: 1;
			top: 40px;
			left: -10px;
			right: -10px;
			padding: 0 27px 0 34px;
			border-bottom: 0;
			border-left: 0;
			border-right: 0;
		}

		.search__field {
			height: 40px;
			border: 0;

			&::placeholder {
				font-size: 13px;
				color: rgba(0, 0, 0, 1);
			}
		}

		.search__btn {
			flex: 0 0 20px;
			max-width: 20px;
			margin-left: 10px;
			margin-top: 0;
		}
	}
}
